Subject: Re: [Sip] Registration Query

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 03 Apr 2003 04:00:59 -0500

Valerie Kenneally wrote:
> Hi all,
> 
>  Assume a User Agent is registering with a SIP Server.  The SIP Server
> challenges the User Agent with regard to Authorization.  The User Agent
> replies with the appropriate information.  My question-when the User Agent
> responds to the challenge will the Call-ID and From tag or this message be
> the same as the first REGISTER message sent?  All info greatly accepted!

Yes. Section 8.1.3.5 addresses this case:

> In all of the above cases, the request is retried by creating a new
>    request with the appropriate modifications.  This new request
>    constitutes a new transaction and SHOULD have the same value of the
>    Call-ID, To, and From of the previous request, but the CSeq should
>    contain a new sequence number that is one higher than the previous.
> 
> 
> 
> Rosenberg, et. al.          Standards Track                    [Page 45]
> 
> RFC 3261            SIP: Session Initiation Protocol           June 2002
> 
> 
>    With other 4xx responses, including those yet to be defined, a retry
>    may or may not be possible depending on the method and the use case.

-Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Scientist                             Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Jay Morris <[email-masked]>
Date: Thu, 3 Apr 2003 07:37:33 -0800 (PST)

Hi,
I can't find section 8.1.3.5 in the standard. Where is it?
Thanks,
Jay.
 Jonathan Rosenberg <[email-masked]> wrote:

-Jonathan R.

---------------------------------
Do you Yahoo!?
Yahoo! Tax Center - File online, calculators, forms, and more

---

From: "Dean Willis" <[email-masked]>
Date: Thu, 3 Apr 2003 13:12:43 -0600

Page 44 of the txt formatted document at:
 
http://www.ietf.org/rfc/rfc3261.txt?number=3261
 
Wait, is this an April 1 thing? Somebody asked a question I could actually
answer. That can't be right!
 
--
Dean

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Jay Morris
Sent: Thursday, April 03, 2003 9:38 AM
To: Jonathan Rosenberg; [email-masked]
Cc: [email-masked]
Subject: Re: [Sip] Registration Query

Hi, 

Thanks, 

Jay.

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 05 Apr 2003 16:29:56 -0500

Page 45 of RFC 3261.

-Jonathan R.

Jay Morris wrote:
>  */Jonathan Rosenberg <[email-masked]>/* wrote:
> 
> 
> 
>     Valerie Kenneally wrote:
>      > Hi all,
>      >
>      > !
> ------------------------------------------------------------------------
> Do you Yahoo!?
> Yahoo! Tax Center 
> <http://us.rd.yahoo.com/finance/mailsig/*http://tax.yahoo.com> - File 
> online, calculators, forms, and more

---

From: Jay Morris <[email-masked]>
Date: Sat, 5 Apr 2003 23:13:04 -0800 (PST)

Hi,
1. I am looking at the pdf version and the section numbering is different. I was under the impression I can use the pdf safely. I guess I was wrong. Do you know where I can find a pdf version with the correct numbering.
2. The section still does not say if the from-tag should remain the same or not.
For dialogs the answer should be yes but I'm not sure about registrations.
Jay.
 Jonathan Rosenberg <[email-masked]> wrote:Page 45 of RFC 3261.

-Jonathan R.

Jay Morris wrote:
> */Jonathan Rosenberg /* wrote:
> 
> 
> 
> Valerie Kenneally wrote:
> > Hi all,
> >
> - File

---

From: "Dean Willis" <[email-masked]>
Date: Sun, 6 Apr 2003 23:18:51 -0500

One wil rarely find a "good" PDF of a document that has gone to RFC. This is
because of the publication process -- the RFC editor takes the text of the
final approved draft and converts it to ROFF. They then apply the standard
edits to make it a properly formatted RFC. This text is reviewed by the
authors during "Authors 48", and further amended.  Eventually, a final .txt
file is produced and published. Sometimes the authors try and recover a
working version of the document for future editing, and MAY produce a PDF
from this.
 
In short, use the text version as the reference once something makes it to
RFC . . .
 
--
Dean

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Jay Morris
Sent: Sunday, April 06, 2003 1:13 AM
To: Jonathan Rosenberg
Cc: [email-masked]; [email-masked]
Subject: Re: [Sip] Registration Query

Hi, 

1. I am looking at the pdf version and the section numbering is different. I
was under the impression I can use the pdf safely. I guess I was wrong. Do
you know where I can find a pdf version with the correct numbering. 

2. The section still does not say if the from-tag should remain the same or
not.
For dialogs the answer should be yes but I'm not sure about registrations. 

Jay. 

Page 45 of RFC 3261.

-Jonathan R.

Jay Morris wrote:
>! > In all of the above cases, the request is retried by creating a new
! > http://www.jdrosen.net PHONE: (973) 952-5000
> http://www.d ynamicsoft.com
> 

This list is for NEW development of the core SIP! Protocol

  _____  

Do you Yahoo!?
Yahoo! Tax  <http://us.rd.yahoo.com/finance/mailsig/*http://tax.yahoo.com>
Center - File online, calculators, forms, and more

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 15 Apr 2003 01:06:39 -0400

Jay Morris wrote:
> Hi,
> 
> 1. I am looking at the pdf version and the section numbering is 
> different. I was under the impression I can use the pdf safely. I guess 
> I was wrong. Do you know where I can find a pdf version with the correct 
> numbering.

Don't use the PDF. Its not official. Use the .txt.

> For dialogs the answer should be yes but I'm not sure about registrations.

Here is the text from 8.1.3.5:

Since the tag is part of the value of the From header field, this means 
that the tag remains the same.

-Jonathan R.

>     &! gt; http://www.jdrosen.net PHONE: (973) 952-5000
>     Sip mailing list https://www1.ietf.org/mai! lman/listinfo/sip

---

From: Jay Morris <[email-masked]>
Date: Mon, 14 Apr 2003 22:57:10 -0700 (PDT)

Thanks for your response.I also saw this paragraph but was confused since in the draft-ietf-sipping-basic-call-flows-02.txt the From tags are different.Jay.  Jonathan Rosenberg <[email-masked]> wrote:

-Jonathan R.

---------------------------------
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.